Webhooks
Send a test event
POST /v1/webhooks/{webhook_id}/ping- Permission
write:webhooks- Tokens
- API key, CLI user token
Send a signed webhook.ping. The receiver must return HTTP 200.
Path parameters
webhook_idstringrequired
{
}
1
import os
2
3
from ellipsis import Ellipsis
4
5
client = Ellipsis(api_key=os.environ["ELLIPSIS_API_TOKEN"])
6
7
result = client.webhooks.ping("webhook_example")
8
print(result)
1
import { Ellipsis } from '@ellipsis-dev/sdk';
2
3
const client = new Ellipsis({
4
apiKey: process.env.ELLIPSIS_API_TOKEN!,
5
});
6
7
const result = await client.webhooks.ping("webhook_example");
8
console.log(result);
1
curl -X POST "https://api.ellipsis.dev/v1/webhooks/{webhook_id}/ping" \
2
-H "Authorization: Bearer $ELLIPSIS_API_TOKEN"
Response
deliveryWebhookDeliveryDetailrequired